| GET | /dbs/{Id} | Get a DBS Search |
|---|
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*
import com.google.gson.annotations.*
import com.google.gson.reflect.*
@DataContract
open class GetDbsSearch : BaseRequest()
{
/**
* The ID of the DBS Search
*/
@DataMember
@ApiMember(Description="The ID of the DBS Search", IsRequired=true, ParameterType="path")
open var id:Int? = null
/**
* Provide a value to only return a search that the specified sub user has permission to access. If this is null or empty, then sub user permissions will not be enforced and the search will be returned
*/
@DataMember
@ApiMember(Description="Provide a value to only return a search that the specified sub user has permission to access. If this is null or empty, then sub user permissions will not be enforced and the search will be returned", ParameterType="query")
open var subUserName:String? = null
}
@DataContract
open class BaseRequest : IBaseRequest
{
/**
* The authentication credentials
*/
@DataMember
@ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body")
override var authentication:Authentication? = null
}
@DataContract
open class Authentication
{
/**
* The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)
*/
@DataMember
@ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body")
open var apiUserId:String? = null
/**
* The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)
*/
@DataMember
@ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body")
open var apiUserKey:String? = null
/**
* The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).
*/
@DataMember
@ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body")
open var userId:String? = null
}
@DataContract
open class GetDbsSearchResponse
{
@DataMember
@SerializedName("data") open var Data:GetDbsSearchData? = null
}
open class GetDbsSearchData : BaseResponse(), IBaseSearchResponse
{
override var linkedTo:ArrayOfLinkedTo? = null
open var summary:DbsSearchSummary? = null
}
open class BaseResponse : IBaseDataResponse, IHasResponseStatus
{
/**
* The status of the response
*/
@ApiMember(Description="The status of the response")
override var responseStatus:ResponseStatus? = null
}
open class ArrayOfResponseError : ArrayList<ResponseError>()
{
}
open class ArrayOfLinkedTo : ArrayList<LinkedTo>()
{
}
open class LinkedTo
{
open var clientId:Int? = null
open var id:Long? = null
@SerializedName("type") open var Type:String? = null
open var subtype:String? = null
open var status:String? = null
open var description:String? = null
open var isArchived:Boolean? = null
open var name:String? = null
open var date:Date? = null
}
open class DbsSearchSummary
{
open var id:Long? = null
open var dateSearched:Date? = null
open var dateUpdated:Date? = null
open var status:String? = null
open var disclosureStatus:String? = null
open var isApplicantInfoCompleted:Boolean? = null
open var isIdCheckCompleted:Boolean? = null
open var isApplicationCompleted:Boolean? = null
open var isApplicationSubmitted:Boolean? = null
open var isApplicationDisclosed:Boolean? = null
open var disclosureLevel:String? = null
open var applicantInformation:ApplicantInformation? = null
}
open class ApplicantInformation
{
open var name:String? = null
open var dateOfBirth:String? = null
open var email:String? = null
open var mobileInternational:String? = null
open var jobLocation:String? = null
open var reference:String? = null
open var applicantPin:String? = null
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .xml suffix or ?format=xml
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /dbs/{Id} HTTP/1.1
Host: api.simplified.id
Accept: application/xml
HTTP/1.1 200 OK
Content-Type: application/xml
Content-Length: length
<GetDbsSearchResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.servicestack.net/types">
<Data>
<ResponseStatus>
<ErrorCode>String</ErrorCode>
<Message>String</Message>
<StackTrace>String</StackTrace>
<Errors>
<ResponseError>
<ErrorCode>String</ErrorCode>
<FieldName>String</FieldName>
<Message>String</Message>
<Meta xmlns:d6p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d6p1:KeyValueOfstringstring>
<d6p1:Key>String</d6p1:Key>
<d6p1:Value>String</d6p1:Value>
</d6p1:KeyValueOfstringstring>
</Meta>
</ResponseError>
</Errors>
<Meta xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d4p1:KeyValueOfstringstring>
<d4p1:Key>String</d4p1:Key>
<d4p1:Value>String</d4p1:Value>
</d4p1:KeyValueOfstringstring>
</Meta>
</ResponseStatus>
<LinkedTo>
<LinkedTo>
<ClientId>0</ClientId>
<Date>0001-01-01T00:00:00</Date>
<Description>String</Description>
<Id>0</Id>
<IsArchived>false</IsArchived>
<Name>String</Name>
<Status>String</Status>
<Subtype>String</Subtype>
<Type>String</Type>
</LinkedTo>
</LinkedTo>
<Summary>
<ApplicantInformation>
<ApplicantPin>String</ApplicantPin>
<DateOfBirth>String</DateOfBirth>
<Email>String</Email>
<JobLocation>String</JobLocation>
<MobileInternational>String</MobileInternational>
<Name>String</Name>
<Reference>String</Reference>
</ApplicantInformation>
<DateSearched>0001-01-01T00:00:00</DateSearched>
<DateUpdated>0001-01-01T00:00:00</DateUpdated>
<DisclosureLevel>String</DisclosureLevel>
<DisclosureStatus>String</DisclosureStatus>
<Id>0</Id>
<IsApplicantInfoCompleted>false</IsApplicantInfoCompleted>
<IsApplicationCompleted>false</IsApplicationCompleted>
<IsApplicationDisclosed>false</IsApplicationDisclosed>
<IsApplicationSubmitted>false</IsApplicationSubmitted>
<IsIdCheckCompleted>false</IsIdCheckCompleted>
<Status>String</Status>
</Summary>
</Data>
</GetDbsSearchResponse>